<?php

namespace App\Policies;

use Illuminate\Auth\Access\Response;
use App\Models\EquipmentMaster;
use App\Models\User;

class EquipmentMasterPolicy
{
    /**
     * Determine whether the user can view any models.
     */
    public function viewAny(User $user): bool
    {
        return $user->checkPermissionTo('view-any EquipmentMaster');
    }

    /**
     * Determine whether the user can view the model.
     */
    public function view(User $user, EquipmentMaster $equipmentmaster): bool
    {
        return $user->checkPermissionTo('view EquipmentMaster');
    }

    /**
     * Determine whether the user can create models.
     */
    public function create(User $user): bool
    {
        return $user->checkPermissionTo('create EquipmentMaster');
    }

    /**
     * Determine whether the user can update the model.
     */
    public function update(User $user, EquipmentMaster $equipmentmaster): bool
    {
        return $user->checkPermissionTo('update EquipmentMaster');
    }

    /**
     * Determine whether the user can delete the model.
     */
    public function delete(User $user, EquipmentMaster $equipmentmaster): bool
    {
        return $user->checkPermissionTo('delete EquipmentMaster');
    }

    /**
     * Determine whether the user can delete any models.
     */
    public function deleteAny(User $user): bool
    {
        return $user->checkPermissionTo('delete-any EquipmentMaster');
    }

    /**
     * Determine whether the user can restore the model.
     */
    public function restore(User $user, EquipmentMaster $equipmentmaster): bool
    {
        return $user->checkPermissionTo('restore EquipmentMaster');
    }

    /**
     * Determine whether the user can restore any models.
     */
    public function restoreAny(User $user): bool
    {
        return $user->checkPermissionTo('restore-any EquipmentMaster');
    }

    /**
     * Determine whether the user can replicate the model.
     */
    public function replicate(User $user, EquipmentMaster $equipmentmaster): bool
    {
        return $user->checkPermissionTo('replicate EquipmentMaster');
    }

    /**
     * Determine whether the user can reorder the models.
     */
    public function reorder(User $user): bool
    {
        return $user->checkPermissionTo('reorder EquipmentMaster');
    }

    /**
     * Determine whether the user can permanently delete the model.
     */
    public function forceDelete(User $user, EquipmentMaster $equipmentmaster): bool
    {
        return $user->checkPermissionTo('force-delete EquipmentMaster');
    }

    /**
     * Determine whether the user can permanently delete any models.
     */
    public function forceDeleteAny(User $user): bool
    {
        return $user->checkPermissionTo('force-delete-any EquipmentMaster');
    }
}
